<!DOCTYPE html>
<html>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    {% load static %}
    <link rel="stylesheet" href="{% static 'DeFi/css/style.css' %}">
    <link rel="preconnect" href="https://fonts.googleapis.com"> 
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Demo Exchange Platform</title>
    <link rel="preconnect" href="https://fonts.googleapis.com"> 
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin> 
<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap" rel="stylesheet">
</head>
<body id="sigillum_body">
    <nav class="navbar navbar-expand-lg fixed-top  navbar-light bg-light">
    <div class="container">
        <a class="navbar-brand" href="#logo">SIGILLUM</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        <div class="navbar-nav">
            <!--<a class="nav-item nav-link active" href="#home">Home</a>-->
            
        </div>
        <!--<a id="logout" href="">Logout</a>-->
        <a id="info" href="#">Connect your wallet</a>
        </div>
    </div>
    </nav>
    <div class="back_to_home">
        <button onclick="location.href='{% url 'index' %}'" type="button" class="btn btn-secondary btn_smal bt_home">Back to home</button>
        <h1 class="big_title defih1">De-Fi Website</h1>
    </div>
    
    <div class="container2">
        <h1 class="defih1">Access with your wallet</h1>

        <form action="/has_token/" method="POST">
            {% csrf_token %}
            <div class="form-group my-background pad">
            <textarea class="form-control" id="public_key" name="public_key" cols="20" rows="10"
                placeholder="Passphase..."></textarea>
            <label for="public_key"></label>
            <div class="btn-toolbar2">
                <input type="reset" value="Reset" class="btn" id="reset_btn">
                <input type="submit" value="Submit" class="btn">
            </div>
            
            <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
            {% if messages %}
            {% for message in messages %}
            <script>
                Swal.fire({
                title: 'Error!',
                text: '{{message}}',
                icon: 'error',
                confirmButtonText: 'OK!'
                })
            </script>
            {% endfor %}

            {% endif %}
            
            </div>
        </form>
    </div>
      
</body>


</html>